As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 706794 - Add extensions.strictCompatibility pref to Thunderbird to make addons compatible-by-default
: Add extensions.strictCompatibility pref to Thunderbird to make addons compati...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Mark Banner (:standard8)
:
:
Mentors:
Depends on: 698653
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 04:43 PST by Mark Banner (:standard8)
Modified: 2012-01-08 08:49 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
The fix (731 bytes, patch)
2011-12-01 07:59 PST, Mark Banner (:standard8)
bwinton: review+
Details | Diff | Splinter Review
Aurora fix (766 bytes, patch)
2011-12-01 08:04 PST, Mark Banner (:standard8)
bwinton: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
The fix (870 bytes, patch)
2012-01-05 13:40 PST, Mark Banner (:standard8)
mozilla: review+
Details | Diff | Splinter Review

Description User image Mark Banner (:standard8) 2011-12-01 04:43:06 PST
+++ This bug was initially created as a clone of Bug #698653 +++

Firefox have done this on trunk builds, and I think we should do the same to help testing and get our confidence up.

We should also add the pref on aurora but set to disable add-ons by default, so we have the pref there should it need to be flipped, or testers want to flip it.
Comment 1 User image Mark Banner (:standard8) 2011-12-01 07:59:01 PST
Created attachment 578264 [details] [diff] [review]
The fix

Mainly looking for an rs here. I tested with an extension that is out of date wrt trunk, and it the add-on manager did the expected with this pref.
Comment 2 User image Mark Banner (:standard8) 2011-12-01 08:04:56 PST
Created attachment 578268 [details] [diff] [review]
Aurora fix

For now, keep strict compatibility turned on on earlybird.
Comment 3 User image Blake Winton (:bwinton) (:☕️) 2011-12-01 08:19:21 PST
Comment on attachment 578268 [details] [diff] [review]
Aurora fix

Review of attachment 578268 [details] [diff] [review]:
-----------------------------------------------------------------

So…  Why do we want strict compatibility in Aurora?  Just cause that's what we currently do, and we don't want to change that behaviour until we've done some more testing?

(r=me with that question answered.)
Comment 4 User image Mark Banner (:standard8) 2011-12-01 08:21:33 PST
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #3)
> Comment on attachment 578268 [details] [diff] [review] [diff] [details] [review]
> Aurora fix
> 
> Review of attachment 578268 [details] [diff] [review] [diff] [details] [review]:
> -----------------------------------------------------------------
> 
> So…  Why do we want strict compatibility in Aurora?  Just cause that's what
> we currently do, and we don't want to change that behaviour until we've done
> some more testing?

That's what FF currently does. I believe they don't want it there just yet until they've done more testing.
Comment 5 User image Blake Winton (:bwinton) (:☕️) 2011-12-01 08:25:17 PST
Comment on attachment 578264 [details] [diff] [review]
The fix

Review of attachment 578264 [details] [diff] [review]:
-----------------------------------------------------------------

WFM!
Comment 6 User image Mark Banner (:standard8) 2011-12-01 11:47:36 PST
Checked in: http://hg.mozilla.org/comm-central/rev/e946196ad328
Comment 7 User image Mark Banner (:standard8) 2011-12-07 02:12:44 PST
Landed on aurora: http://hg.mozilla.org/releases/comm-aurora/rev/bf785218e72c
Comment 8 User image Mark Banner (:standard8) 2011-12-23 08:36:15 PST
We now need to land setting the pref to false on beta, so cancelling the fixed flag so we can check that.
Comment 9 User image Justin Wood (:Callek) 2012-01-04 17:59:09 PST
(In reply to Mark Banner (:standard8) from comment #8)
> We now need to land setting the pref to false on beta, so cancelling the
> fixed flag so we can check that.

My QA checks caught this bug [x.ref https://wiki.mozilla.org/Releases/SeaMonkey2.7#Bug_Queries], out of curiosity, why are we backout out the pref? (what did I miss along the way?)
Comment 10 User image Mark Banner (:standard8) 2012-01-05 00:40:28 PST
(In reply to Justin Wood (:Callek) from comment #9)
> (In reply to Mark Banner (:standard8) from comment #8)
> > We now need to land setting the pref to false on beta, so cancelling the
> > fixed flag so we can check that.
> 
> My QA checks caught this bug [x.ref
> https://wiki.mozilla.org/Releases/SeaMonkey2.7#Bug_Queries], out of
> curiosity, why are we backout out the pref? (what did I miss along the way?)

I didn't say anything about backing out. I said we need to set the pref to false - if you look at what was landed, the pref is currently true.
Comment 11 User image Justin Wood (:Callek) 2012-01-05 00:47:00 PST
(In reply to Mark Banner (:standard8) from comment #10)
> (In reply to Justin Wood (:Callek) from comment #9)
> > (In reply to Mark Banner (:standard8) from comment #8)
> > > We now need to land setting the pref to false on beta, so cancelling the
> > > fixed flag so we can check that.
> > 
> > My QA checks caught this bug [x.ref
> > https://wiki.mozilla.org/Releases/SeaMonkey2.7#Bug_Queries], out of
> > curiosity, why are we backout out the pref? (what did I miss along the way?)
> 
> I didn't say anything about backing out. I said we need to set the pref to
> false - if you look at what was landed, the pref is currently true.

Ooooo right, the boolean logic in my head flipped when I commented here. Thanks
Comment 12 User image Mark Banner (:standard8) 2012-01-05 13:40:41 PST
Created attachment 586212 [details] [diff] [review]
The fix

Firefox enabled this on aurora, which is now beta after the merge, hence we should do this on beta as its better for extensions.
Comment 13 User image Mark Banner (:standard8) 2012-01-05 13:50:31 PST
Checked in: http://hg.mozilla.org/releases/comm-beta/rev/308536744457

Note You need to log in before you can comment on or make changes to this bug.